<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<div class="news News-{iterator.cycle}" itemscope="itemscope" itemtype="http://schema.org/Article">
    <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" class="d-block">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
        <f:comment>
        <div class="project__categories mb-0 mb-lg-3">
            <ul class="list-inline mb-4 mb-md-2 text-center text-md-left">
                <f:for each="{newsItem.categories}" as="categorie" iteration="iterator">
                    <li class="list-inline-item">{categorie.title}</li>
                </f:for>
            </ul>
        </div>
        </f:comment>

        <div class="news-date-category d-flex justify-content-lg-between align-items-center px-3 mt-3">
            <div class="category bg-primary py-2 px-3 text-white">
                <f:for each="{newsItem.categories}" as="categorie" iteration="iterator">
                    <f:if condition="{iterator.isFirst}">
                        {categorie.title ->f:format.raw()}
                    </f:if>
                </f:for>
            </div>
            <div class="date ms-3 ms-lg-0">
                <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
                    <f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
                </time>
            </div>
        </div>

        <f:if condition="{newsItem.mediaPreviews}">
            <f:then>
                <div class="news-img-wrap my-3">

                    <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                        <f:if condition="{mediaElement.originalResource.type} == 2">

                            <v:media.picture src="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" class="w-100 d-block">
                                <v:media.source media="(min-width: 1200px)" width="372c"  height="160c" />
                                <v:media.source media="(min-width: 992px)" width="353c" />
                                <v:media.source media="(min-width: 567px)" width="550c" height="250c" />
                                <v:media.source width="350c" height="152c" />
                                <!--[if IE 9]>
                                <v:media.source width="350c" height="152c" />
                                <![endif]-->
                            </v:media.picture>
                        </f:if>
                    </f:alias>

                </div>
            </f:then>
        </f:if>

        <div class="project__header px-3 mt-3 mb-2">
            <h2 class="h5" itemprop="headline">
                {newsItem.title -> f:format.crop(maxCharacters: '74', respectWordBoundaries:'1') -> f:format.raw()}
            </h2>
        </div>

        <f:if condition="!{newsItem.mediaPreviews}">
            <f:if condition="{newsItem.teaser}">
                <f:then>
                    <div class="px-3" itemprop="description">{newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
                </f:then>
                <f:else>
                    <div class="px-3" itemprop="description">{newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
                </f:else>
            </f:if>
        </f:if>

    </n:link>
</div>
</html>
